> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post payment token register



## OpenAPI

````yaml IPG post /payment/token/register
openapi: 3.0.1
info:
  title: IPG
  description: Ipg
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/ipg
    description: Staging
security:
  - default: []
paths:
  /payment/token/register:
    post:
      tags:
        - IpgPaymentApis
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterTokenRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/RegisterTokenRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/RegisterTokenRequest'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/RegisterTokenResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/RegisterTokenResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/RegisterTokenResponse'
      security:
        - default: []
components:
  schemas:
    RegisterTokenRequest:
      type: object
      properties:
        shipping:
          $ref: '#/components/schemas/ShippingRequestDto'
        customer:
          $ref: '#/components/schemas/CustomerRequestDto'
        card:
          $ref: '#/components/schemas/CardRequestDto'
        paymentBrand:
          type: string
          nullable: true
        paymentMode:
          type: string
          nullable: true
        organizationId:
          type: string
          nullable: true
      additionalProperties: false
    RegisterTokenResponse:
      type: object
      properties:
        memberId:
          type: integer
          format: int32
        registrationId:
          type: string
          nullable: true
        paymentBrand:
          type: string
          nullable: true
        paymentMode:
          type: string
          nullable: true
        timestamp:
          type: string
          nullable: true
        result:
          $ref: '#/components/schemas/Result'
      additionalProperties: false
    ShippingRequestDto:
      type: object
      properties:
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        postcode:
          type: string
          nullable: true
        street1:
          type: string
          nullable: true
      additionalProperties: false
    CustomerRequestDto:
      type: object
      properties:
        telnocc:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        givenName:
          type: string
          nullable: true
        surname:
          type: string
          nullable: true
        customerId:
          type: string
          nullable: true
      additionalProperties: false
    CardRequestDto:
      type: object
      properties:
        number:
          type: string
          nullable: true
        expiryMonth:
          type: string
          nullable: true
        expiryYear:
          type: string
          nullable: true
        cvv:
          type: string
          nullable: true
      additionalProperties: false
    Result:
      type: object
      properties:
        code:
          type: integer
          format: int32
        description:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}
          x-scopes-bindings:
            Redirect-URL: ''

````